<?php

namespace App\Entities;

class ProductEntity extends BaseEntity
{
    protected $datamap = [];
    protected $dates   = ['created_at', 'updated_at', 'deleted_at'];
    protected $casts   = [];

    //기본기능
    public function getPrimaryKey()
    {
        return $this->attributes['uid'];
    }
    public function getTitle(): string
    {
        return $this->attributes['name'];
    }
    public function getStatus(): string
    {
        return $this->attributes['status'];
    }

    //추가기능
    public function getUer_uid()
    {
        return $this->attributes['user_uid'];
    }

    public function getCost()
    {
        return $this->attributes['cost'];
    }
    public function getPrice()
    {
        return $this->attributes['price'];
    }
    public function getSale()
    {
        return $this->attributes['sale'];
    }
    public function getPhoto()
    {
        return $this->attributes['photo'];
    }

    public function getContent()
    {
        return $this->attributes['content'];
    }
    public function getViews()
    {
        return $this->attributes['view_cnt'];
    }
    public function getStock()
    {
        return $this->attributes['stock'];
    }
}
